import { FileAccess } from '../common/network.js';

function asCssValueWithDefault(cssPropertyValue, dflt) {
    if (cssPropertyValue !== undefined) {
        const variableMatch = cssPropertyValue.match(/^\s*var\((.+)\)$/);
        if (variableMatch) {
            const varArguments = variableMatch[1].split(',', 2);
            if (varArguments.length === 2) {
                dflt = asCssValueWithDefault(varArguments[1].trim(), dflt);
            }
            return `var(${varArguments[0]}, ${dflt})`;
        }
        return cssPropertyValue;
    }
    return dflt;
}
function asCSSPropertyValue(value) {
    return `'${value.replace(/'/g, '%27')}'`;
}
function asCSSUrl(uri) {
    if (!uri) {
        return `url('')`;
    }
    return `url('${( FileAccess.uriToBrowserUri(uri).toString(true)).replace(/'/g, '%27')}')`;
}

export { asCSSPropertyValue, asCSSUrl, asCssValueWithDefault };
