import { Codicon } from '../../../../base/common/codicons.js';
import { localize } from '../../../../nls.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';

const settingsScopeDropDownIcon = registerIcon('settings-folder-dropdown', Codicon.triangleDown, ( localize(
 6262,
 'Icon for the folder dropdown button in the split JSON Settings editor.'
)));
const settingsMoreActionIcon = registerIcon('settings-more-action', Codicon.gear, ( localize(6263, 'Icon for the \'more actions\' action in the Settings UI.')));
const keybindingsRecordKeysIcon = registerIcon('keybindings-record-keys', Codicon.recordKeys, ( localize(6264, 'Icon for the \'record keys\' action in the keybinding UI.')));
const keybindingsSortIcon = registerIcon('keybindings-sort', Codicon.sortPrecedence, ( localize(6265, 'Icon for the \'sort by precedence\' toggle in the keybinding UI.')));
const keybindingsEditIcon = registerIcon('keybindings-edit', Codicon.edit, ( localize(6266, 'Icon for the edit action in the keybinding UI.')));
const keybindingsAddIcon = registerIcon('keybindings-add', Codicon.add, ( localize(6267, 'Icon for the add action in the keybinding UI.')));
const settingsEditIcon = registerIcon('settings-edit', Codicon.edit, ( localize(6268, 'Icon for the edit action in the Settings UI.')));
const settingsRemoveIcon = registerIcon('settings-remove', Codicon.close, ( localize(6269, 'Icon for the remove action in the Settings UI.')));
const settingsDiscardIcon = registerIcon('settings-discard', Codicon.discard, ( localize(6270, 'Icon for the discard action in the Settings UI.')));
const preferencesClearInputIcon = registerIcon('preferences-clear-input', Codicon.clearAll, ( localize(6271, 'Icon for clear input in the Settings and keybinding UI.')));
const preferencesFilterIcon = registerIcon('preferences-filter', Codicon.filter, ( localize(6272, 'Icon for the button that suggests filters for the Settings UI.')));
const preferencesOpenSettingsIcon = registerIcon('preferences-open-settings', Codicon.goToFile, ( localize(6273, 'Icon for open settings commands.')));

export { keybindingsAddIcon, keybindingsEditIcon, keybindingsRecordKeysIcon, keybindingsSortIcon, preferencesClearInputIcon, preferencesFilterIcon, preferencesOpenSettingsIcon, settingsDiscardIcon, settingsEditIcon, settingsMoreActionIcon, settingsRemoveIcon, settingsScopeDropDownIcon };
