import { ClipboardAddon } from '@xterm/addon-clipboard';
import { ImageAddon } from '@xterm/addon-image';
import { SearchAddon } from '@xterm/addon-search';
import { SerializeAddon } from '@xterm/addon-serialize';
import { Unicode11Addon } from '@xterm/addon-unicode11';
import { WebglAddon } from '@xterm/addon-webgl';

interface IXtermAddonNameToCtor {
    clipboard: typeof ClipboardAddon;
    image: typeof ImageAddon;
    search: typeof SearchAddon;
    serialize: typeof SerializeAddon;
    unicode11: typeof Unicode11Addon;
    webgl: typeof WebglAddon;
}
/**
 * Exposes a simple interface to consumers, encapsulating the messy import xterm
 * addon import and caching logic.
 */
declare class XtermAddonImporter {
    importAddon<T extends keyof IXtermAddonNameToCtor>(name: T): Promise<IXtermAddonNameToCtor[T]>;
}

export { type IXtermAddonNameToCtor, XtermAddonImporter };
