import { ServiceIdentifier } from '../../../../platform/instantiation/common/instantiation.js';
import { DisposableStore } from '../../../../base/common/lifecycle.js';
import { IStatusbarEntryContainer, IAuxiliaryStatusbarPart } from '../../../browser/parts/statusbar/statusbarPart.js';

declare const IStatusbarService: ServiceIdentifier<IStatusbarService>;
interface IStatusbarService extends IStatusbarEntryContainer {
    readonly _serviceBrand: undefined;
    /**
    * Get the status bar part that is rooted in the provided container.
    */
    getPart(container: HTMLElement): IStatusbarEntryContainer;
    /**
    * Creates a new auxililary status bar part in the provided container.
    */
    createAuxiliaryStatusbarPart(container: HTMLElement): IAuxiliaryStatusbarPart;
    /**
    * Create a scoped status bar service that only operates on the provided
    * status entry container.
    */
    createScoped(statusbarEntryContainer: IStatusbarEntryContainer, disposables: DisposableStore): IStatusbarService;
}

export { IStatusbarService };
